<%@ taglib prefix="input" uri="http://www.springframework.org/tags/form" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>合同管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
        function doSubmit(obj){
            // 回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                $("#inputForm").submit();
                return true;
            }
            return false;
        }
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});

	</script>
</head>
<body >
<div class="single-form">
	<div class="container">
	<form id="inputForm" action="${ctx}/workcontractinfo/workContractInfo/contractInvalidateStart"  method="post" class="form-horizontal">
		<input type="hidden" name="id" value="${workContractInfo.id}"/>
		<div class="form-group layui-row first">
			<div class="form-group-label"><h2>作废原因</h2></div>
			<div class="layui-item layui-col-sm12">
				<label class="layui-form-label "><span class="require-item">*</span>作废理由：</label>
				<div class="layui-input-block">
					<input name="reason" value="${alterInfo.reason}" maxlength="64" class="form-control layui-input required" placeholder="请输入作废理由，不超过64个字符">
					<%--<form:textarea path="contractTypeDoc" id="contractTypeDoc" htmlEscape="false" rows="4"    class="form-control "/>--%>
				</div>
			</div>
		</div>
	</form>
	</div>
</div>
</body>
</html>